All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.swing.visuals
Class BasicCheckBoxListUI.IncrementLeadSelectionAction

    com.sas.swing.visuals.BasicCheckBoxListUI.IncrementLeadSelectionAction

All Implemented Interfaces:
  java.awt.event.ActionListener, java.io.Serializable, java.lang.Cloneable, java.util.EventListener, javax.swing.Action

Direct Known Subclasses:
  BasicCheckBoxListUI.EndAction, BasicCheckBoxListUI.HomeAction, BasicCheckBoxListUI.PageDownAction, BasicCheckBoxListUI.PageUpAction, BasicTriStateCheckBoxListUI.IncrementLeadSelectionAction

Enclosing class:
  BasicCheckBoxListUI

    public static class BasicCheckBoxListUI.IncrementLeadSelectionAction

Action to increment the selection in the list up/down a row at a type. This also has the option to extend the selection, or only move the lead.

See Also:
  Serialized Form

Field Summary
`protected int` | `amount` Amount to offset, subclasses will define what this means.
`protected int` | `selectionType` Either CHANGE_SELECTION or MOVE_TO_SELECTION.

Constructor Summary
`IncrementLeadSelectionAction(java.lang.String name, int type)`
`IncrementLeadSelectionAction(java.lang.String name, int type, int amount)`

Method Summary
`void` | `actionPerformed(java.awt.event.ActionEvent e)` Invokes `getNextIndex` to determine the next index to select.
`protected void` | `ensureIndexIsVisible(javax.swing.JList list, int index)` Ensures the particular index is visible.
`protected int` | `getNextIndex(javax.swing.JList list)` Returns the next index to select.

Field Detail

### amount

    protected int amount

  Amount to offset, subclasses will define what this means.

### selectionType

    protected int selectionType

  Either CHANGE_SELECTION or MOVE_TO_SELECTION.

Constructor Detail

### IncrementLeadSelectionAction

    public IncrementLeadSelectionAction(java.lang.String name,
                                        int type)

### IncrementLeadSelectionAction

    public IncrementLeadSelectionAction(java.lang.String name,
                                        int type,
                                        int amount)

Method Detail

### getNextIndex

    protected int getNextIndex(javax.swing.JList list)

  Returns the next index to select. This is based on the lead selected index and the `amount` ivar.

### ensureIndexIsVisible

    protected void ensureIndexIsVisible(javax.swing.JList list,
                                        int index)

  Ensures the particular index is visible. This simply forwards the method to list.

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent e)

  Invokes `getNextIndex` to determine the next index to select. If the index is valid (not -1 and < size of the model), this will either: move the selection to the new index and change its value if the selectionType == CHANGE_SELECTION, or move the selection to the new index if selectionType == MOVE_TO_SELECTION.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.